/*      q_one.c

Task:	Read in no quaternions.
        Runs a function, q_one, from q_lib.c.
	Prints to STDOUT.

Author: Douglas B Sweetser, Sweetser@alum.mit.edu.

Copyright 2002 Douglas B Sweetser.

Compiled with: gcc -Wall -o q_one q_one.c q_lib.c -lm

See GPL license info at the end of this file.
*/


/* includes */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "q_lib.h"

int main (int argc, char *argv[])
{
  /* Variables */
  double q_out[4];

  /* Data input: none. */

  /* action */
  q_one (q_out);

  /* data output */
  q_print (q_out);

  /* Signals */
  return 0;
}


/*  License

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
